;jQuery(function ($) {
  $('.accordion-item').each(function () {
    const $item = $(this);
    const $content = $item.find('.accordion-content');
    const $svg = $item.find('svg');

    if ($item.hasClass('is-open')) {
      $content.show();
      $svg.css('transform', 'rotate(180deg)');
    }
  });

  $('.accordion-header').click(function () {
    const $item = $(this).closest('.accordion-item');
    const $content = $item.find('.accordion-content');
    const $svg = $item.find('svg');

    if ($content.is(':visible')) {
      $content.slideUp(200);
      $svg.css('transform', 'rotate(0deg)');
      $item.removeClass('is-open');
    } else {
      $content.slideDown(200);
      $svg.css('transform', 'rotate(180deg)');
      $item.addClass('is-open');
    }
  });
});
